- Qt 5.5
- Qt3D Module
- C++ Classes
- QBoundingVolume
- Qt 5.5.1 Reference Documentation

# QBoundingVolume Class

(Qt3D::QBoundingVolume)

Inherited By: |

- List of all members, including inherited members

## Public Types

enum | Type { Sphere }

## Public Functions

| QBoundingVolume()
virtual | ~QBoundingVolume()
virtual QNodeId | id() const = 0
virtual bool | intersects(const QRay3D & ray, QVector3D * q = Q_NULLPTR) const = 0
virtual Type | type() const = 0

## Member Type Documentation

### enum QBoundingVolume::Type

## Member Function Documentation

### QBoundingVolume::QBoundingVolume()

### `[virtual]` QBoundingVolume::~QBoundingVolume()

### `[pure virtual]` QNodeId QBoundingVolume::id() const

### `[pure virtual]` bool QBoundingVolume::intersects(const QRay3D & ray, QVector3D * q = Q_NULLPTR) const

### `[pure virtual]` Type QBoundingVolume::type() const